summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Dustin Schnee <schnee72{at}gmail{dot}com>2010-05-13 00:57:49 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:57:49 +0200
commit5a78f85979e4e587b86231eaa1391aa35b76ff13 (patch)
tree42261ece71a685d7bfcf4bea5c4952bdbb391d99
parent565296266302ff13180fd5c1631a7e1471b3ef2e (diff)
downloadslackbuilds-5a78f85979e4e587b86231eaa1391aa35b76ff13.tar.gz
slackbuilds-5a78f85979e4e587b86231eaa1391aa35b76ff13.tar.xz
development/avrdude: Added to 13.0 repository
-rw-r--r--development/avrdude/README3
-rw-r--r--development/avrdude/avrdude.SlackBuild80
-rw-r--r--development/avrdude/avrdude.info10
-rw-r--r--development/avrdude/slack-desc20
4 files changed, 113 insertions, 0 deletions
diff --git a/development/avrdude/README b/development/avrdude/README
new file mode 100644
index 0000000000..f62fa13265
--- /dev/null
+++ b/development/avrdude/README
@@ -0,0 +1,3 @@
+Avrdude is an open source utility to download/upload/manipulate the ROM and
+EEPROM contents of AVR microcontrollers using the in-system programming
+technique (ISP).
diff --git a/development/avrdude/avrdude.SlackBuild b/development/avrdude/avrdude.SlackBuild
new file mode 100644
index 0000000000..68fdd1f573
--- /dev/null
+++ b/development/avrdude/avrdude.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for avrdude
+
+# Written by Dustin Schnee <schnee72{at}gmail{dot}com>
+
+PRGNAM=avrdude
+VERSION=${VERSION:-5.10}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/development/avrdude/avrdude.info b/development/avrdude/avrdude.info
new file mode 100644
index 0000000000..1c5b27bd6a
--- /dev/null
+++ b/development/avrdude/avrdude.info
@@ -0,0 +1,10 @@
+PRGNAM="avrdude"
+VERSION="5.10"
+HOMEPAGE="http://www.nongnu.org/avrdude/"
+DOWNLOAD="http://download.savannah.gnu.org/releases-noredirect/avrdude/avrdude-5.10.tar.gz"
+MD5SUM="69b082683047e054348088fd63bad2ff"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Dustin Schnee"
+EMAIL="schnee72{at}gmail{dot}com"
+APPROVED="dsomero"
diff --git a/development/avrdude/slack-desc b/development/avrdude/slack-desc
new file mode 100644
index 0000000000..e4931f0734
--- /dev/null
+++ b/development/avrdude/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+avrdude: avrdude (utility to interface with AVR microcontrollers using ISP)
+avrdude:
+avrdude: Avrdude is an open source utility to download/upload/manipulate the
+avrdude: ROM and EEPROM contents of AVR microcontrollers using the in-system
+avrdude: programming technique (ISP).
+avrdude:
+avrdude: Homepage: http://www.nongnu.org/avrdude/
+avrdude:
+avrdude:
+avrdude:
+avrdude:
+